> For the complete documentation index, see [llms.txt](https://docs.otherplanet.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.otherplanet.dev/scripts/op-garages-v2/exports-list/client-side.md).

# Client-side

{% hint style="warning" %}
IMPORTANT: This Exports work only above Version 2.5.0 of OP Garages Script&#x20;
{% endhint %}

## isInGarageZone

***

```lua
exports['op-garages']:isInGarageZone()
```

Return boolean value

Example Usage:

```lua
RegisterCommand('isingaragezone', function()
    local isInGarageZone = exports['op-garages']:isInGarageZone()
    print(isInGarageZone)
end)
```

## openGarageIfInZone

***

```lua
exports['op-garages']:openGarageIfInZone()
```

Open garage if player is inside zone of some garage.

This is useful if you want to integrate radial menu into the script.

Example Usage:

```lua
RegisterCommand('openisingaragezone', function()
    local isInGarageZone = exports['op-garages']:isInGarageZone()
    if isInGarageZone then
        exports['op-garages']:openGarageIfInZone()
    end
end)
```

## OpenGarageHere

***

```lua
exports['op-garages']:OpenGarageHere(coords, disablePreview)
```

This event will Open Garage or Hide and Save Current player Vehicle.

* coords: `vec4`&#x20;
* disablePreview: `boolean`

Example Usage:

```lua
RegisterCommand('testgarage', function()
    exports['op-garages']:OpenGarageHere()
end)
```

## ClientaddTempPrivateGarage

***

```lua
exports['op-garages']:ClientaddTempPrivateGarage(Label, Type, Coords, Radius, PrivatePlayersList, cb)
```

* Label: `string`
* Type: `car | air | sea`
* Coords: `table`
  * CenterOfZone: `vec4`
  * AccessPoint: `vec4` (Only whe Type: sea | air)
* Radius: `number`
* PrivatePlayersList: `object`
  * id: `string` (Player CitizenID or Char)
  * name: `string`(Player Name and Lastname, you can leave it "")
* cb: `function`

This export have callback which returns created garage id.

Example Usage:

```lua
local Coords = {
    CenterOfZone = vec4(-1796.2642, 398.0186, 110.9659, 161.2089),
    AccessPoint = vec4(0.0, 0.0, 0.0, 0.0) -- Leave 0.0 if it's 'car' garage.
}
local PrivatePlayersList = {
    {
        id = "char1:7e0ec7b80d186fd8c29f6631e4377e75812fe8fd",
        name = ""
    }
}

-- Or instead of PrivatePlayersList as a table you can simply set this to player server id.
-- Example: PrivatePlayersList = 15

exports['op-garages']:ClientaddTempPrivateGarage("Bagieta Garage", "car", Coords, 15, PrivatePlayersList, function(garageId)
    print(garageId)
end)
```

## ClientremoveTempPrivateGarage

***

* Index: `number`

Example Usage:

```lua
exports['op-garages']:ClientremoveTempPrivateGarage(garageId)
```

## ClientaddTempGangGarage

***

```lua
exports['op-garages']:ClientaddTempGangGarage(Label, Type, Coords, Radius, GangName, GangGrade, Mode, zPoints, onespawn, cb)
```

* Label: `string`
* Type: `car | air | sea`
* Coords: `table`
  * CenterOfZone: `vec4`
  * AccessPoint: `vec4` (Only whe Type: sea | air)
* Radius: `number`
* GangName: `string`
* GangGrade: `number`
* Mode: `string: owned | spawner`
* zPoints: `table | nil`
* onespawn: `vec4 | nil`
* cb: `function`

This export have callback which returns created garage id.

Example Usage:

```lua
local Coords = {
    CenterOfZone = vec4(-1796.2642, 398.0186, 110.9659, 161.2089),
    AccessPoint = vec4(0.0, 0.0, 0.0, 0.0) -- Leave 0.0 if it's 'car' garage.
}

local zPoints = {
    minZ = 15.0,
    maxZ = 25.0
}
-- You can leave zPoints nil or false if you don't want to use it!

exports['op-garages']:ClientaddTempGangGarage("Ballas Garage", "car", Coords, 15, "ballas", 0, "owned", zPoints, nil, function(garageId)
    print(garageId)
end)
```

## ClientremoveTempGangGarage

***

* Index: `number`

Example Usage:

```lua
exports['op-garages']:ClientremoveTempGangGarage(garageId)
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.otherplanet.dev/scripts/op-garages-v2/exports-list/client-side.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
